%global momorel 4

Summary: libmodplug - a MOD playing library
Name: libmodplug
Version: 0.8.4
Release: %{momorel}m%{?dist}
License: Public Domain
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/modplug-xmms/%{name}-%{version}.tar.gz 
NoSource: 0
URL: http://modplug-xmms.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
Obsoletes: xmms-modplug <= 2.03-1m

%description
Libmodplug is the library behind -- Modplug-XMMS is a fully featured,
complete input plugin for XMMS which plays mod-like music formats. It
is based on the mod rendering code from ModPlug, a popular windows mod
player written by Olivier Lapicque, found at http://www.modplug.com

%package devel
Group: Development/Libraries
Summary: Header files for compiling against Modplug library.
Provides:	%{name}-devel = %{version}
Requires:	%{name} = %{version}

%description devel
This is the development package of libmodplug. Install it if you want to
compile programs using this library.

%prep
%setup -q -n %{name}-%{version}


%build

%configure
%make

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog COPYING NEWS TODO
%{_libdir}/%{name}.so*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.4-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.4-3m)
- %%NoSource -> NoSource

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-2m)
- delete libtool library

* Fri Nov  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4
- [SECURITY] CVE-2006-4192, fix buffer overflow vulnerabilities

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.7-1m)
- Initial specfile.
